/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.example.order.manager.util;

import javax.xml.namespace.QName;

public final class Constants {

    public static final String MESSAGE_TNS = "http://mycompany.com/business/docs";
    public static final QName ZIP_CODE = new QName(MESSAGE_TNS, "ZipCode");
    public static final QName ORDER_NUMBER= new QName(MESSAGE_TNS, "OrderNumber");
    public static final QName ITEMS = new QName(MESSAGE_TNS, "Items");
    public static final QName OUT_OF_STOCK_MESSAGE = new QName(MESSAGE_TNS, "OutOfStockFault");
    public static final String MY_TNS = "http://com.mycompany/eoa/om/1.0";
    public static final QName OUT_OF_STOCK_FAULT = new QName(MY_TNS, "OutOfStockFault");
    public static final QName PLACE_ORDER_OPERATION = new QName(MY_TNS, "placeOrder");
    public static final String PARTNER_TNS = "http://software.vendor.com/1.0";
    public static final String PARTNER_AVAILABILITY_ROLE = "http://mycompany.com/wm/availability/processor";
    public static final String PARTNER_ORDER_PROCESSOR_ROLE = "http://mycompany.com/wm/order/processor";
    public static final QName CHECK_AVAILABILITY_OPERATION = new QName(PARTNER_TNS, "checkAvailability");
    public static final QName SCHEDULE_ORDER_OPERATION = new QName(PARTNER_TNS, "scheduleOrder");
    public static final QName GET_STATUS_OPERATION = new QName(PARTNER_TNS, "getOrderStatus");
    public static final String PARTNER_LOCAL_NAME = "WarehouseManagerEngine";
    public static final QName DALLAS_WAREHOUSE = new QName("http://my.company.com/wm/dallas/1.0", PARTNER_LOCAL_NAME);
    public static final QName CHICAGO_WAREHOUSE = new QName("http://my.company.com/wm/chicago/1.0", PARTNER_LOCAL_NAME);
    public static final QName ATLANTA_WAREHOUSE = new QName("http://my.company.com/wm/atlanta/1.0", PARTNER_LOCAL_NAME);

}
